Debian Bug report logs - #196473
Please remove epic4-script-splitfire

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Thomas Seyrat <tomasera@debian.org>

Date: Sat, 7 Jun 2003 10:03:03 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#196473; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thomas Seyrat <tomasera@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Seyrat <tomasera@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: epic4-script-splitfire -- the ONLY |<-lame irc script!
Date: Sat, 7 Jun 2003 11:56:11 +0200
Package: wnpp
Version: unavailable; reported 2003-06-06
Severity: normal

I'm orphaning the epic4-script-splitfire package : there are multiple
incompatiblity problems between SplitFire and the latest versions of
epic4 (such as the one available in sarge), such as in the meta-based
bindings (see #167192), and I can't find time to fix these. Moreover,
upstream has never answered any of my emails, SplitFire is really buggy,
and would benefit a major, if not total, rewrite, not by me :-)



-- System Information:
Debian Release: testing/unstable
Architecture: powerpc
Kernel: Linux carioca 2.4.21-rc3-ben0 #1 Sun May 25 15:38:07 CEST 2003 ppc
Locale: LANG=C, LC_CTYPE=fr_FR.ISO-8859-1


-- 
Thomas Seyrat - tomasera@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#196473; Package wnpp. Full text and rfc822 format available.

Message #8 received at 196473@bugs.debian.org (full text, mbox):

From: Stephen Stafford <ssta@linuxops.net>
To: debian-qa@lists.debian.org
Subject: Re: Really, really ancient standards versions
Date: Sat, 28 Feb 2004 23:09:34 +0000
Quoting Martin Michlmayr <tbm@cyrius.com>:

> reassign 184670 ftp.debian.org
> retitle 184670 Please remove epic
> thanks
> 
> * Pascal Hakim <pasc@redellipse.net> [2004-02-29 09:39]:
> > > epic: QA group maintained
> > 
> > Do we even need epic? There's epic4 in the archive...
> 
> Oh, interesting.  The only reason stopping me from removing it was
> that many people use epic.  I didn't know there was a separate,
> maintained epic4 package.

Yes.  epic is epic3, which is no longer maintained upstream.  It has some fairly
hefty differences in the scripting engine too.  All epic scripts in Derbian
(that I'm aware of) are epic4 scripts.

On a related note: epic4-script-splitfire is no longer maintained upstream. 
It's a horrible mess of code and orphaned (maintained by QA).

I had a look at it recently and with changes made to the epic4 scripting engine
it's almost unusable (most of the eybindings broke for example).  I'd say it's
certainly ripe for a "unless someone maintains this, it should be removed" call.
 Anyone who does want to maintain it would need to know a fair bit about epic4
scripting...as it stands there's a fair bit of work required to make it work
again properly.  It's close to needing a rewrite from scratch.

-- 
Stephen Stafford
<stephen@clothcat.demon.co.uk>
<ssta@linuxops.net>
<bagpuss@debian.org>

----------------------------------------------------------------
This message was sent using IMP, the Internet Messaging Program.


-- 
To UNSUBSCRIBE, email to debian-qa-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#196473; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #13 received at 196473@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: stephen@clothcat.demon.co.uk
Cc: debian-qa@lists.debian.org, 196473@bugs.debian.org, control@bugs.debian.org
Subject: Re: Really, really ancient standards versions
Date: Sun, 29 Feb 2004 12:17:29 +0000
reassign 196473 ftp.debian.org
retitle 196473 Please remove epic4-script-splitfire
thanks

* Stephen Stafford <ssta@linuxops.net> [2004-02-28 23:09]:
> I had a look at it recently and with changes made to the epic4
> scripting engine it's almost unusable (most of the eybindings broke
> for example).  I'd say it's certainly ripe for a "unless someone
> maintains this, it should be removed" call.  Anyone who does want to
> maintain it would need to know a fair bit about epic4 scripting...as
> it stands there's a fair bit of work required to make it work again
> properly.  It's close to needing a rewrite from scratch.

The WNPP bug basically says something similar.

RoQA; unusable/incompatible/broken, upstream vanished, needs rewrite
-- 
Martin Michlmayr
tbm@cyrius.com



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Thomas Seyrat <tomasera@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 196473-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 196473-close@bugs.debian.org
Subject: Bug#196473: fixed
Date: Mon, 08 Mar 2004 14:13:17 -0500
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

epic4-script-splitfire |     1.35-4 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 196473@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
James Troup (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:59:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.